summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-12-24 01:10:54 +0000
committerKarl Berry <karl@freefriends.org>2008-12-24 01:10:54 +0000
commit41a56f5b7e74229d400a0c72cb900e2b1b3875c3 (patch)
treecc8ede263d129924dd4864297dcf4018999f46bd /Master/tlpkg/bin
parent219fecec6f6232564cea56106ba88017354f50f2 (diff)
siunitx 1.1j (22dec08)
git-svn-id: svn://tug.org/texlive/trunk@11700 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tds43
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl24
-rwxr-xr-xMaster/tlpkg/bin/tlpkginfo2
3 files changed, 42 insertions, 27 deletions
diff --git a/Master/tlpkg/bin/ctan2tds b/Master/tlpkg/bin/ctan2tds
index f6065bffe40..9b2ffa8ee0f 100755
--- a/Master/tlpkg/bin/ctan2tds
+++ b/Master/tlpkg/bin/ctan2tds
@@ -96,7 +96,7 @@ chdir $startdir || die "chdir($startdir) failed: $!"; # back to raw
'bookhands', "&MAKEwilson",
'borceux', "&MAKEborceux",
'burmese', "&MAKEflatten",
- 'c90enc', "&MAKEc90enc",
+ 'c90', "&MAKEc90",
'calendar', "die 'skipping, nosell license'",
'camel', "die 'skipping, nosell license'",
'cbfonts', "&MAKEflatten",
@@ -151,6 +151,7 @@ chdir $startdir || die "chdir($startdir) failed: $!"; # back to raw
'dictsym', "&MAKEunzipandflatten",
'disser', "&MAKEdisser",
'dmfonts', "die 'skipping, needs work'",
+ 'dnp', "&MAKEdnp",
'dogma', "die 'skipping, requires nonfree font'",
'dot2tex', "die 'skipping, only useful with supporting programs'",
'dot2texi', "die 'skipping, only useful with supporting programs'",
@@ -204,7 +205,7 @@ chdir $startdir || die "chdir($startdir) failed: $!"; # back to raw
'futhark', "die 'skipping, nonfree license'",
'futurans', "die 'skipping, requires nonfree font'",
'galley', "die 'skipping, will be included in xpackages later'",
- 'garuda', "&MAKEgaruda",
+ 'garuda-c90', "&MAKEgaruda_c90",
'gene', "die 'skipping, complicated, some have sources, sorry'",
'genmisc', "die 'too complicated, sorry'",
'germbib', "&MAKEgermbib",
@@ -314,7 +315,7 @@ chdir $startdir || die "chdir($startdir) failed: $!"; # back to raw
'newthm', "die 'skipping, obsolete, no longer on ctan'",
'niceframe', "die 'skipping, nosell license'",
'nohyph', "die 'skipping, nohyph must be done by hand'",
- 'norasi', "&MAKEnorasi",
+ 'norasi-c90', "&MAKEnorasi_c90",
'notes', "&MAKEnotes",
'numline', "die 'skipping, obsolete'",
'oca', "die 'skipping, nosell license'",
@@ -3260,40 +3261,54 @@ sub I
sub MAKEcjk_common
{
- print "\t SPECIAL $package wholesale rearranging\n";
- # start by removing the version number top-level directory.
+ print "\t SPECIAL $package wholesale rearranging for cjk\n";
+
&xchdir ($packagedir);
- &SYSTEM ("$RM *.zip && $MV 4.?.?/* . && rmdir 4.?.?");
+ # also need cjk doc tarball. should move in next release.
+ my $cjkdoc = "/home/ftp/tex-archive/language/chinese/cjk-4.8.1-doc.tar.gz";
+ &SYSTEM ("tar -C ?.?.? -xf $cjkdoc --strip-components=1");
+
+ # remove the version number top-level directory.
+ &SYSTEM ("$RM *.zip && $MV ?.?.?/* . && rmdir ?.?.?");
}
sub MAKEcjk
{
&MAKEcjk_common ();
- #require "/home/karl/c/cjk.pl";
+ require "/home/karl/c/cjk.pl";
}
sub MAKEbin_cjkutils
{
&MAKEcjk_common ();
- #require "/home/karl/c/bin-cjkutils.pl";
+ require "/home/karl/c/bin-cjkutils.pl";
+}
+
+sub MAKEc90
+{
+ &MAKEcjk_common ();
+ require "/home/karl/c/c90.pl";
}
-sub MAKEc90enc
+sub MAKEdnp
{
&MAKEcjk_common ();
- #require "/home/karl/c/c90enc.pl";
+ require "/home/karl/c/dnp.pl";
+ # have to mv texmf/fonts/sfd to texmf-dist/fonts/sfd/ttf2tpk and rm DNP.sfd
}
-sub MAKEgaruda
+sub MAKEgaruda_c90
{
&MAKEcjk_common ();
- #require "/home/karl/c/garuda.pl";
+ require "/home/karl/c/garuda-c90.pl";
+ # have to figure out how to get existing garuda/norasi files from
+ # /home/ftp/tex-archive/language/thai/thailatex/fonts/
}
-sub MAKEnorasi
+sub MAKEnorasi_c90
{
&MAKEcjk_common ();
- #require "/home/karl/c/norasi.pl";
+ require "/home/karl/c/norasi-c90.pl";
}
sub MAKEkarlcjk
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 66125006e8a..fec77eac587 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -56,20 +56,20 @@ if test -z "$pkg"; then
fi
if $copy_from_ctan; then
- ctan_dir1=`tlpkginfo --prepare $pkg`
+ ctan_dir=`tlpkginfo --prepare $pkg`
else
- ctan_dir1="$pkg"
+ ctan_dir="$pkg"
fi
-if test -z "$ctan_dir1"; then
+if test -z "$ctan_dir"; then
echo "$0: can't find CTAN directory for $pkg." >&2
exit 1
fi
echo "$0: ctan dir for $pkg"
-echo "$0: is $ctan_dir1"
+echo "$0: is $ctan_dir"
-test -r "$ctan_dir1/TDS_READY" \
-&& echo "$0: from `cat $ctan_dir1/TDS_READY`"
+test -r "$ctan_dir/TDS_READY" \
+&& echo "$0: from `cat $ctan_dir/TDS_READY`"
if egrep " $pkg"'( |$)' $mydir/tlpkg-ctan-check >/dev/null; then :; else
echo
@@ -82,24 +82,24 @@ if $copy_from_ctan; then
# remove whatever dregs in raw that might be lying around.
rm -rf $pkg
-if test "$pkg" = genmisc; then
+if test "$pkg" = genmisc; then # remove files after copying in ctan2tds
# do not copy subdirs, symlinks, or any files but .sty and .tex
# (that is, no patch.doc or pmat.zip).
mkdir -p $pkg
cp -p \
- `find $ctan_dir1/* '(' -type d -o -type l ')' -prune -o \
+ `find $ctan_dir/* '(' -type d -o -type l ')' -prune -o \
'(' -name '*.sty' -o -name *.tex ')' -print` \
$pkg
else
# normal case (/. to deref symlinks, e.g., arabtex)
- cp -pr $ctan_dir1/. $pkg
+ cp -pr $ctan_dir/. $pkg
fi
# clean up the tmpdir possibly created by 'tlpkginfo --prepare'
ctan_root=`tlpkginfo --ctan-root`
-if ! echo "$ctan_dir1" | egrep "^$ctan_root" >/dev/null; then
- rm -rf $ctan_dir1
+if ! echo "$ctan_dir" | egrep "^$ctan_root" >/dev/null; then
+ rm -rf $ctan_dir
fi
fi # end of copying from CTAN.
@@ -109,7 +109,7 @@ printf "\n$0: calling ctan2tds\n"
cooked=$Build/tmp.cooked
rm -rf $cooked/$pkg
test -d $cooked || mkdir $cooked
-ctan2tds --ctan-dir=$ctan_dir1 $pkg || exit 1
+ctan2tds --ctan-dir=$ctan_dir $pkg || exit 1
cd $cooked || exit 1
printf "\n\f cooked\n"
diff --git a/Master/tlpkg/bin/tlpkginfo b/Master/tlpkg/bin/tlpkginfo
index 7a8e2ba1c10..0dfa02724f2 100755
--- a/Master/tlpkg/bin/tlpkginfo
+++ b/Master/tlpkg/bin/tlpkginfo
@@ -27,7 +27,7 @@ sub main
$latex_tds_dir = "$CTAN/macros/latex/contrib/latex-tds";
# and the CJK material is split into several packages.
- $cjk_pkgs = "bin-(cjk|ttf)utils|c90enc|garuda|norasi";
+ $cjk_pkgs = "bin-(cjk|ttf)utils|dnp|(|garuda-|norasi)c90";
if ($ARGV[0] eq "--ctan-dir") {
my $output = &find_ctan_dir ($ARGV[1]);